Name: dvb-utils
Version: 0.9.4
Release: alt2

Summary: Some useful tools for Satellite adapters based on Siemens DVB cards
Group: System/Base
License: GPL

Source0: siemens_dvb-%version.tar.bz2
Source1: dvb.init
Source2: siemens_dvb_network_activator-0.1.tar.gz

Patch1: DVB-gcc3.patch
Patch2: dvb_formats-a52.patch

# Automatically added by buildreq on Thu Feb 28 2002
BuildRequires: XFree86-devel XFree86-libs gcc-c++ glib-devel gtk+-devel liblirc-devel libncurses-devel libstdc++-devel

%description
Some useful tools for Satellite adapters based on Siemens DVB cards

%package console
Summary: Some useful tools for Satellite adapters based on Siemens DVB cards
Group: System/Base

%description console
Some useful tools for Satellite adapters based on Siemens DVB cards


%prep
%setup -q -n DVB -a2

%patch1 -p1
%patch2 -p1

cat %SOURCE1>dvb.init.sample

%build
pushd libdvb
    	    make clean
    	    make CFLAGS="$RPM_OPT_FLAGS"
popd
pushd apps/tuxzap
	    ./autogen.sh --with-dvb-path="$RPM_BUILD_DIR/DVB/libdvb"
	    %configure --with-dvb-path="$RPM_BUILD_DIR/DVB/libdvb"
	    %make
popd
pushd apps/szap
	    make CFLAGS="$RPM_OPT_FLAGS -I../../ost/include"
popd

pushd DVB_network_activator
	    gcc -o network_activator network_activator.c -I ../ost/include "$RPM_OPT_FLAGS"
popd
%install
pushd apps/tuxzap
	    %makeinstall
popd
pushd apps/szap
	    install -p -m755 szap $RPM_BUILD_ROOT%_bindir
	    install -p -m755 tzap $RPM_BUILD_ROOT%_bindir
popd
pushd DVB_network_activator
	    install -p -m755 network_activator $RPM_BUILD_ROOT%_bindir
popd

%files
%doc README NEWS apps/dvb* apps/lirc* driver/modules.conf
%_bindir/tux*
%_bindir/rtux*

%files console
%doc dvb.init.sample apps/szap/channels.conf-dvbt-*
%_bindir/ntux*
%_bindir/szap
%_bindir/tzap
%_bindir/network_activator

%changelog
* Fri Oct 25 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.4-alt2
- Rebuilt in new environment
- Updated buildrequires
- Fix build with gcc3

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.4-alt1
- 0.9.4
- First build for Sisyphus
